complexType "Trade"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 10 elements
Used: | at 13 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | tradeHeader?, product?, otherPartyPayment*, brokerPartyReference*, calculationAgent?, calculationAgentBusinessCenter?, determiningParty[0..2], hedgingParty[0..2], collateral?, documentation?, governingLaw?, allocations?
</...>

Content Model Elements (12):

  allocations, brokerPartyReference, calculationAgent (defined in CalculationAgent.model group), calculationAgentBusinessCenter, collateral (defined in Trade complexType), determiningParty, | documentation (defined in Trade complexType), governingLaw (defined in Trade complexType), hedgingParty, otherPartyPayment, product, tradeHeader

All Direct / Indirect Based Elements (13):

  newTrade, oldTrade (defined in TradeChangeContent complexType), oldTrade (in novation), originalTrade, resultingTrade, trade (defined in DataDocument complexType), trade (defined in Events.model group), | trade (defined in PositionConstituent complexType), trade (defined in TradeChangeContent complexType), trade (defined in TradeOrInfo.model group), trade (defined in TradeValuationItem complexType), trade (in affectedTransactions), trade (in amendment)

Known Usage Locations

- As direct type of elements (13):

  newTrade, oldTrade (defined in TradeChangeContent complexType), oldTrade (in novation), originalTrade, resultingTrade, trade (defined in DataDocument complexType), trade (defined in Events.model group), | trade (defined in PositionConstituent complexType), trade (defined in TradeChangeContent complexType), trade (defined in TradeOrInfo.model group), trade (defined in TradeValuationItem complexType), trade (in affectedTransactions), trade (in amendment)

Annotation
A type defining an FpML trade.
XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="Trade"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeHeader" type="TradeHeader"/> <xsd:element minOccurs="0" ref="product"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="otherPartyPayment" type="Payment"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="brokerPartyReference" type="PartyReference"/> <xsd:group ref="CalculationAgent.model"/> <xsd:element maxOccurs="2" minOccurs="0" name="determiningParty" type="PartyReference"/> <xsd:element maxOccurs="2" minOccurs="0" name="hedgingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="collateral" type="Collateral"/> <xsd:element minOccurs="0" name="documentation" type="Documentation"/> <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"/> <xsd:element minOccurs="0" name="allocations" type="Allocations"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 10/12)
allocations

  Type: | Allocations, complex content

  "Short-form" representation of allocations in which the key block economics are stated once within the trade structure, and the allocation data is contained in this allocations structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="allocations" type="Allocations"/>

brokerPartyReference

  Type: | PartyReference, empty content

  Identifies that party (or parties) that brokered this trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="brokerPartyReference" type="PartyReference"/>

collateral

  Type: | Collateral, complex content

  Defines collateral obiligations of a Party
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="collateral" type="Collateral"/>

determiningParty

  Type: | PartyReference, empty content

  The party referenced is the ISDA Determination Party that specified in the related Confirmation as Determination Party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="determiningParty" type="PartyReference"/>

documentation

  Type: | Documentation, complex content

  Defines the definitions that govern the document and should include the year and type of definitions referenced, along with any relevant documentation (such as master agreement) and the date it was signed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="documentation" type="Documentation"/>

governingLaw

  Type: | GoverningLaw, simple content

  Identification of the law governing the transaction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="governingLaw" type="GoverningLaw"/>

hedgingParty

  Type: | PartyReference, empty content

  The party referenced is the ISDA Hedging Party that specified in the related Confirmation as Hedging, or if no Hedging Party is specified, either party to the Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="hedgingParty" type="PartyReference"/>

otherPartyPayment

  Type: | Payment, complex content

  Other fees or additional payments associated with the trade, e.g. broker commissions, where one or more of the parties involved are not principal parties involved in the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="otherPartyPayment" type="Payment"/>

product

  Type: | Product, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 32 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="product"/>

tradeHeader

  Type: | TradeHeader, complex content

  The information on the trade which is not product specific, e.g. trade date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeHeader" type="TradeHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.